AptanaでJavaサポートを有効にするにはどうすればよいですか? Javaのサポートやプラグインはありません。ソフトウェアの追加にはURLがありません

私はAptanaでJavaを使いたいと思っていますが、そこにはサポートがありません。さらに、ソフトウェアを追加するURLはありません(空です)。私は何をしますか?

7
@Steve J - 私はJavaScriptとPythonのために使っています。
追加された 著者 Chris Dutrow,
AptanaはJavascript用ではありませんか?
追加された 著者 Steve J,

3 答え

AptanaはWeb開発用に設計されているため、HTML、JavaScript、CSS構文のハイライト、Railsなどの一般的なWeb開発言語やフレームワークのサポートなど、多くのWeb開発機能をサポートしています。

If you want to do Java development I recomment you download Eclipse for Java Developers

これらの手順に従ってプラグインとしてaptanaをインストールすることができます。 http://update1.aptana.org/studio/3.2 /024747/index.html をご覧ください。

5
追加された

これは、AptanaがJavaサポートを取得するように設定する方法です。

  1. Verify the version of Eclipse that it is using. Go to menu Help → About Apatana... -> Click on the Eclipse icon, the version to take into account is the one for feature 'Eclipse plataform'.

  2. Make sure the update site for your version of Eclipse exists in the Available software sites.

    • First find the update site that corresponds to your version of Eclipse; for instance, if you have Eclipse plataform version 3.7 (also known as Indigo) the update site would be http://download.eclipse.org/releases/indigo/ (make sure you have the correct URL).
    • Then go to menu Window → Preferences, then choose Install/Update → Available Software sites. There you should have an entry for Eclipse and the location should be the update site from the previous step; if it doesn't exist just add it with the appropriate information.
  3. Install 'Eclipse Java development tools'. Go to menu Help → 'Install new software...'. Select your Eclipse update site, from the drop down list. A list of available updates/features will be shown. Look for Java (using the filter field) or navigate to 'Programming languages'; in either case, check the box for 'Eclipse Java development tools', click next and follow any additional steps until installation is done.

  4. Configure preferences for Java in Aptana. Go to menu Window → Preferences, in the left pane you should now see an item called 'Java'. The subitem 'Installed JREs', should have at least one entry (this is the version of JRE that will be used during development. It is possible to add more JREs there (Not going into the detail here, as it is not really the question to be answered).

これで、Javaプロジェクトなどを追加できるようになりました。

4
追加された

CDT EclipseディストリビューションにJava Development Tools(JDT)を追加する方法に関するこのような疑問もこの質問に答えています。

CDTの上にEclipse JDTをインストールする

2
追加された